## pnmixer 0.7.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(PNMixer)


## cmake modules
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
include(FindPkgConfig)
include(GNUInstallDirs)
include(PNMixer_macros)


## version and global project vars
set(PNMixer_VERSION_MAJOR 0)
set(PNMixer_VERSION_MINOR 7)
set(PNMixer_VERSION_MICRO 2)
set(PACKAGE_VERSION "${PNMixer_VERSION_MAJOR}.${PNMixer_VERSION_MINOR}.${PNMixer_VERSION_MICRO}")
set(PACKAGE "pnmixer")


## options
option(WITH_GTK3 "Use Gtk3 as toolkit" ON)
option(WITH_LIBNOTIFY "Enable sending of notifications" ON)
option(ENABLE_NLS "Enable building of translations" ON)
option(BUILD_DOCUMENTATION "Use Doxygen to create the HTML based API documentation" OFF)


## packages required across multiple subdirectories
if(ENABLE_NLS)
	# find gettext programs
	find_package(Gettext)
	FIND_PROGRAM(XGETTEXT_EXECUTABLE xgettext)
	IF(XGETTEXT_EXECUTABLE)
		MESSAGE(STATUS "Found xgettext: ${XGETTEXT_EXECUTABLE}")
	ELSE(XGETTEXT_EXECUTABLE)
		MESSAGE(FATAL_ERROR "xgettext not found")
	ENDIF(XGETTEXT_EXECUTABLE)
endif(ENABLE_NLS)


## subdirectories
add_subdirectory(data)
if(ENABLE_NLS)
	add_subdirectory(po)
endif(ENABLE_NLS)
add_subdirectory(src)


## additional global targets

# indent-code
add_custom_target(indent-code
	COMMAND "${CMAKE_SOURCE_DIR}/cmake/scripts/astyle.sh"
	WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

# indent-xml
add_custom_target(indent-xml
	COMMAND "${CMAKE_SOURCE_DIR}/cmake/scripts/xmllint.sh"
	WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")


## install git hook
execute_process(
	COMMAND "${CMAKE_SOURCE_DIR}/cmake/scripts/install-git-hook.sh"
	WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

=== data/CMakeLists.txt ===
add_subdirectory(desktop)
add_subdirectory(icons)
add_subdirectory(man)
add_subdirectory(pixmaps)
add_subdirectory(ui)

=== po/CMakeLists.txt ===
## languages
file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS gettext_languages
	REGEX "^[^#].*")

## 'update_pot' target
add_custom_target(
	update-pot
	COMMAND ${XGETTEXT_EXECUTABLE}
		-o ${PACKAGE}.pot
		-p "${CMAKE_CURRENT_SOURCE_DIR}"
		--default-domain=pnmixer
		--directory="${CMAKE_SOURCE_DIR}"
		--add-comments=TRANSLATORS:
		--from-code=UTF-8
		--keyword=_
		--files-from="${CMAKE_SOURCE_DIR}/po/POTFILES.in"
		--copyright-holder='Copyright (C) 2010-2017 Nick Lanham'
		--package-name="${PACKAGE}"
		--package-version="${PACKAGE_VERSION}"
		--msgid-bugs-address="https://github.com/nicklan/pnmixer/issues"
	DEPENDS
		"${CMAKE_CURRENT_SOURCE_DIR}/${PACKAGE}.pot"
)


## 'update_po' target
set(po_targets)
foreach(lang ${gettext_languages})
	add_custom_target(
		update_po_${lang}
		COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE}
			--lang=${lang}
			"${CMAKE_CURRENT_SOURCE_DIR}/${lang}.po"
			"${CMAKE_CURRENT_SOURCE_DIR}/${PACKAGE}.pot"
			-o "${CMAKE_CURRENT_SOURCE_DIR}/${lang}.new.po"
		COMMAND mv
			-f "${CMAKE_CURRENT_SOURCE_DIR}/${lang}.new.po"
			"${CMAKE_CURRENT_SOURCE_DIR}/${lang}.po"
		DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${lang}.po"
			"${CMAKE_CURRENT_SOURCE_DIR}/${PACKAGE}.pot"
	)
	LIST(APPEND po_targets update_po_${lang})
endforeach()
add_custom_target(update-po DEPENDS ${po_targets})


## 'pnmixer-translations' target (part of default target)
set(mo_files)
foreach(lang ${gettext_languages})
	add_custom_command(OUTPUT ${lang}.gmo
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
			-c
			--directory="${CMAKE_SOURCE_DIR}"
			-o "${lang}.gmo"
			"${CMAKE_CURRENT_SOURCE_DIR}/${lang}.po"
		DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${lang}.po")
		install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${lang}.gmo" DESTINATION "${CMAKE_INSTALL_FULL_LOCALEDIR}/${lang}/LC_MESSAGES" RENAME "${PACKAGE}.mo")
	LIST(APPEND mo_files ${lang}.gmo)
endforeach()

add_custom_target(pnmixer-translations ALL DEPENDS ${mo_files})

=== src/CMakeLists.txt ===
## sources
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
   ${CMAKE_CURRENT_BINARY_DIR}/config.h)
set(PNMixer_sources
	alsa.c
	audio.c
	hotkey.c
	hotkeys.c
	main.c
	notif.c
	prefs.c
	support-intl.c
	support-log.c
	support-ui.c
	ui-about-dialog.c
	ui-hotkey-dialog.c
	ui-popup-menu.c
	ui-popup-window.c
	ui-prefs-dialog.c
	ui-tray-icon.c
)


## includes
include_directories(
	"${CMAKE_CURRENT_BINARY_DIR}"
)


## libraries
set(default_deps
   	alsa
	glib-2.0
	x11
)

if(WITH_GTK3)
	LIST(APPEND default_deps "gtk+-3.0>=3.12.0")
else(WITH_GTK3)
	LIST(APPEND default_deps "gtk+-2.0>=2.24.0")
endif(WITH_GTK3)

if(WITH_LIBNOTIFY)
	LIST(APPEND default_deps "libnotify")
endif(WITH_LIBNOTIFY)

pkg_check_modules(PNMixer_DEPS REQUIRED
	${default_deps}
)


## main pnmixer target
add_executable(pnmixer ${PNMixer_sources})
# and its flags
target_link_libraries(pnmixer "${PNMixer_DEPS_LDFLAGS}")
target_link_libraries(pnmixer m)
target_compile_options(pnmixer PUBLIC "${PNMixer_DEPS_CFLAGS}")
target_compile_definitions(pnmixer PUBLIC -DHAVE_CONFIG_H)

install(TARGETS pnmixer DESTINATION "${CMAKE_INSTALL_BINDIR}")


## doc target
if(BUILD_DOCUMENTATION)
	find_package(Doxygen)
	if(NOT DOXYGEN_FOUND)
		message(FATAL_ERROR "Doxygen is needed to build the documentation. Please install it correctly.")
	endif()

	CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in"
		"${CMAKE_CURRENT_BINARY_DIR}/Doxyfile")

	# always built
	add_custom_target(doc ALL
		${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
	install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
		DESTINATION "${CMAKE_INSTALL_DOCDIR}")
endif(BUILD_DOCUMENTATION)

=== data/desktop/CMakeLists.txt ===
if(ENABLE_NLS)
	add_custom_command(OUTPUT pnmixer.desktop
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
			--desktop
			-d "${CMAKE_SOURCE_DIR}/po"
			--template ${CMAKE_CURRENT_SOURCE_DIR}/pnmixer.desktop.in
			-o ${CMAKE_CURRENT_BINARY_DIR}/pnmixer.desktop
		DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/pnmixer.desktop.in")
else(ENABLE_NLS)
	add_custom_command(OUTPUT pnmixer.desktop
		COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/pnmixer.desktop.in
			${CMAKE_CURRENT_BINARY_DIR}/pnmixer.desktop
		DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/pnmixer.desktop.in")
endif(ENABLE_NLS)

add_custom_target(desktop-files ALL DEPENDS pnmixer.desktop)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pnmixer.desktop" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")

=== data/icons/CMakeLists.txt ===
install(FILES pnmixer.png DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps")

=== data/man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pnmixer.1.in
   ${CMAKE_CURRENT_BINARY_DIR}/pnmixer.1)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pnmixer.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")

=== data/pixmaps/CMakeLists.txt ===
file(GLOB png_images *.png)

install(FILES
	${png_images}
	DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}/pixmaps"
)


## make running 'src/pnmixer' from the build directory work
## since pnmixer looks up pixmaps files from a relative path
symlink_to_binary_dir("${png_images}")

=== data/ui/CMakeLists.txt ===
if(WITH_GTK3)
	file(GLOB ui_files *-gtk3.glade)
else(WITH_GTK3)
	file(GLOB ui_files *-gtk2.glade)
endif(WITH_GTK3)

install(FILES ${ui_files} DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}/ui")


## make running 'src/pnmixer' from the build directory work
## since pnmixer looks up ui files from a relative path
symlink_to_binary_dir("${ui_files}")

## pnmixer 0.6.1

=== debian/changelog ===
pnmixer (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #745669)

 -- Arnaud Rébillout <elboulangero@gmail.com>  Sun, 06 Dec 2015 19:18:02 +0700

=== debian/control ===
Source: pnmixer
Section: sound
Priority: optional
Maintainer: Arnaud Rébillout <elboulangero@gmail.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, intltool,
 libasound2-dev, libglib2.0-dev, libgtk-3-dev (>= 3.6), libnotify-dev, libx11-dev
Standards-Version: 3.9.6
Homepage: https://github.com/nicklan/pnmixer
Vcs-Git: git://anonscm.debian.org/collab-maint/pnmixer.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pnmixer.git;a=summary

Package: pnmixer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple mixer application for system tray
 PNMixer is a simple mixer application designed to run in your system tray.
 It integrates nicely into desktop environments that don't have a panel that
 supports applets and therefore can't run a mixer applet. In particular it's
 been used quite a lot with fbpanel and tint2, but should run fine in any
 system tray.
 .
 PNMixer is designed to work on systems that use ALSA for sound management.
 Any other sound driver like OSS or FFADO, or sound server like PulseAudio
 or Jackd, are currently not supported (patches welcome).

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/nicklan/pnmixer/tags .*/v?(\d\S*)\.tar\.gz

## pnmixer 0.7

=== debian/changelog ===
pnmixer (0.7-1) unstable; urgency=medium

  * New upstream release.
    - Remove deprecated gnome-common macros/variables. Closes: #929881.
    - Resize icons in menu. Closes: #816124.
  * Remove manual page (now shipped by upstream).
  * Bump Gtk+ required version to 3.12.
  * Bump Standards-Version to 3.9.8.
  * Build with hardening build flags.
  * Use https in Vcs-* fields.
  * Fix typo in copyright.

 -- Arnaud Rébillout <elboulangero@gmail.com>  Wed, 21 Sep 2016 09:34:35 +0700

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Arnaud Rébillout <elboulangero@gmail.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, intltool,
- libasound2-dev, libglib2.0-dev, libgtk-3-dev (>= 3.6), libnotify-dev, libx11-dev
-Standards-Version: 3.9.6
+ libasound2-dev, libglib2.0-dev, libgtk-3-dev (>= 3.12), libnotify-dev, libx11-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/nicklan/pnmixer
-Vcs-Git: git://anonscm.debian.org/collab-maint/pnmixer.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/pnmixer.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pnmixer.git;a=summary
 
 Package: pnmixer
@@ -21,4 +21,4 @@
  .
  PNMixer is designed to work on systems that use ALSA for sound management.
  Any other sound driver like OSS or FFADO, or sound server like PulseAudio
- or Jackd, are currently not supported (patches welcome).
+ or Jack, are currently not supported (patches welcome).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with autoreconf

## pnmixer 0.7.2

=== debian/changelog ===
pnmixer (0.7.2-3) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113416
  * Add myself to Uploaders
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 07:38:00 +0100

pnmixer (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team (unfortunately the repository
    formerly mentioned as Vcs fields seems to be gone)
    Closes: #1093842
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Trim trailing whitespace.
  * Drop dh_make template from watch file

 -- Andreas Tille <tille@debian.org>  Wed, 12 Feb 2025 09:47:01 +0100

pnmixer (0.7.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix wrong install path for man page.

 -- Arnaud Rebillout <elboulangero@gmail.com>  Sat, 03 Jun 2017 17:25:32 +0700

pnmixer (0.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch to cmake buildsystem.
    - Use gettext instead of intltool for translation.
    - Build is now reproducible. Closes: #854112.
  * Update watchfile to version 4.
  * Package is now versioned with git and build with gbp. See the control file
    for the url.

 -- Arnaud Rebillout <elboulangero@gmail.com>  Sat, 27 May 2017 13:20:35 +0700

=== debian/control ===
Source: pnmixer
Standards-Version: 4.7.2
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Arnaud Rebillout <elboulangero@gmail.com>,
 Andreas Tille <tille@debian.org>,
Section: sound
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 libasound2-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libnotify-dev,
 libx11-dev,
 pkgconf,
Vcs-Browser: https://salsa.debian.org/multimedia-team/pnmixer
Vcs-Git: https://salsa.debian.org/multimedia-team/pnmixer.git
Homepage: https://github.com/nicklan/pnmixer

Package: pnmixer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple mixer application for system tray
 PNMixer is a simple mixer application designed to run in your system tray.
 It integrates nicely into desktop environments that don't have a panel that
 supports applets and therefore can't run a mixer applet. In particular it's
 been used quite a lot with fbpanel and tint2, but should run fine in any
 system tray.
 .
 PNMixer is designed to work on systems that use ALSA for sound management.
 Any other sound driver like OSS or FFADO, or sound server like PulseAudio
 or Jack, are currently not supported (patches welcome).

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@  --with autoreconf
+	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Source: https://github.com/nicklan/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Uversion-Mangle: s/-rc/~rc/
